Bug 683650 (CVE-2011-1146)

Summary: CVE-2011-1146 libvirt: several API calls do not honour read-only connection
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aquini, berrange, clalance, crobinso, dallan, dyuan, eblake, gren, itamar, jfehlig, jforbes, jiachen, jlieskov, jyang, laine, llim, pmatouse, security-response-team, veillard, virt-maint, virt-maint, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110302,reported=20110303,source=redhat,impact=important,cvss2=6.9/AV:L/AC:M/Au:N/C:C/I:C/A:C,rhel-6/libvirt=affected,rhel-5/libvirt=affected,fedora-all/libvirt=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-15 17:48:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 683651, 683652, 683653, 683654, 683655    
Bug Blocks:    

Description Petr Matousek 2011-03-09 18:03:06 EST
Description of problem:
It has been found that several libvirt API calls (virNodeDeviceDettach, virNodeDeviceReset, virNodeDeviceReAttach, virDomainRevertToSnapshot, virDomainSnapshotDelete and virConnectDomainXMLToNative) did not honour read-only connection. Local attacker could use this flaw to crash the server (DoS) or possibly escalate his privileges.
Comment 3 Petr Matousek 2011-03-09 18:11:31 EST
Created libvirt tracking bugs for this issue

Affects: fedora-all [bug 683655]
Comment 4 Jim Fehlig 2011-03-10 12:42:20 EST
Should virNodeDeviceReAttach also be added to the list?
Comment 5 Petr Matousek 2011-03-10 16:19:44 EST
(In reply to comment #4)
> Should virNodeDeviceReAttach also be added to the list?

Yes, I omitted it by mistake. Thanks Jim.
Comment 6 Daniel Veillard 2011-03-14 02:53:38 EDT
Also added virConnectDomainXMLToNative() after a full review and commited
upstream:

http://libvirt.org/git/?p=libvirt.git;a=commitdiff;h=71753cb7f7a16ff800381c0b5ee4e99eea92fed3;hp=13c00dde3171b3a38d23cceb3f9151cb6cac3dad

Daniel
Comment 8 errata-xmlrpc 2011-03-28 12:47:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0391 https://rhn.redhat.com/errata/RHSA-2011-0391.html